Liblinphone: linphone::ConferenceParams Class Reference

Liblinphone 5.3.0

Public Member Functions | List of all members
linphone::ConferenceParams Class Reference

Object defining parameters for a Conference. More...

`#include <conference_params.hh>`

Inheritance diagram for linphone::ConferenceParams:

## Public Member Functions
LINPHONECXX_PUBLIC | ConferenceParams (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphoneConferenceParams * | cPtr ()
LINPHONECXX_PUBLIC std::shared_ptr< linphone::Account > | getAccount () const
| Returns the account for the conference.
LINPHONECXX_PUBLIC void | setAccount (const std::shared_ptr< linphone::Account > &account)
| Sets the account for the conference.
LINPHONECXX_PUBLIC bool | audioEnabled () const
| Check whether audio capabilities are enabled.
LINPHONECXX_PUBLIC void | enableAudio (bool enable)
| Enable audio capabilities.
LINPHONECXX_PUBLIC bool | chatEnabled () const
| Check whether chat capabilities are enabled.
LINPHONECXX_PUBLIC void | enableChat (bool enable)
| Enable chat capabilities.
LINPHONECXX_PUBLIC std::shared_ptr< const linphone::Address > | getConferenceFactoryAddress () const
| Get the conference factory address of the conference that has been set.
LINPHONECXX_PUBLIC void | setConferenceFactoryAddress (const std::shared_ptr< const linphone::Address > &address)
| Set the conference factory address of the conference.
LINPHONECXX_PUBLIC std::string | getDescription () const
| Get conference description.
LINPHONECXX_PUBLIC void | setDescription (const std::string &description)
| Set the description of the conference.
LINPHONECXX_PUBLIC time_t | getEndTime () const
| Get the end time of the conference.
LINPHONECXX_PUBLIC void | setEndTime (time_t end)
| Set the conference end time.
LINPHONECXX_PUBLIC void | setHidden (bool hidden)
| Set the conference as hidden.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED bool | isAudioEnabled () const
| Check whether audio capabilities are enabled.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED bool | isChatEnabled () const
| Check whether chat capabilities are enabled.
LINPHONECXX_PUBLIC bool | isHidden () const
| Get the value of the hidden flag.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED bool | isLocalParticipantEnabled () const
| Returns whether local participant has to enter the conference.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED bool | isOneParticipantConferenceEnabled () const
| Returns whether conference can have only one participant.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED bool | isVideoEnabled () const
| Check whether video capabilities are enabled.
LINPHONECXX_PUBLIC bool | localParticipantEnabled () const
| Returns whether local participant has to enter the conference.
LINPHONECXX_PUBLIC void | enableLocalParticipant (bool enable)
| Enable local participant to enter the conference.
LINPHONECXX_PUBLIC bool | oneParticipantConferenceEnabled () const
| Returns whether conference can have only one participant.
LINPHONECXX_PUBLIC void | enableOneParticipantConference (bool enable)
| Enable conference with one participant.
LINPHONECXX_PUBLIC linphone::Conference::ParticipantListType | getParticipantListType () const
| Get the participant list type.
LINPHONECXX_PUBLIC void | setParticipantListType (linphone::Conference::ParticipantListType type)
| Set the participant list type.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::shared_ptr< linphone::ProxyConfig > | getProxyCfg () const
| Returns the proxy configuration for the conference.
LINPHONECXX_PUBLIC linphone::Conference::SecurityLevel | getSecurityLevel () const
| Retrieve the desired security level of the conference.
LINPHONECXX_PUBLIC void | setSecurityLevel (linphone::Conference::SecurityLevel securityLevel)
| Set the desired security level of the conference.
LINPHONECXX_PUBLIC time_t | getStartTime () const
| Get the start time of the conference.
LINPHONECXX_PUBLIC void | setStartTime (time_t start)
| Set the conference start time.
LINPHONECXX_PUBLIC std::string | getSubject () const
| Get conference subject.
LINPHONECXX_PUBLIC void | setSubject (const std::string &subject)
| Set the subject of the conference.
LINPHONECXX_PUBLIC bool | videoEnabled () const
| Check whether video capabilities are enabled.
LINPHONECXX_PUBLIC void | enableVideo (bool enable)
| Enable video capabilities.
LINPHONECXX_PUBLIC std::shared_ptr< linphone::ConferenceParams > | clone () const
| Clone a ConferenceParams.

## Detailed Description

Object defining parameters for a Conference.

Can be created by calling function Core::createConferenceParams().

## Member Function Documentation

## ◆ audioEnabled()

LINPHONECXX_PUBLIC bool linphone::ConferenceParams::audioEnabled | ( |  | ) | const

Check whether audio capabilities are enabled.

Returns
  true if the conference supports audio capabilities, false otherwise

## ◆ chatEnabled()

LINPHONECXX_PUBLIC bool linphone::ConferenceParams::chatEnabled | ( |  | ) | const

Check whether chat capabilities are enabled.

Returns
  true if the conference supports chat capabilities, false otherwise

## ◆ clone()

LINPHONECXX_PUBLIC std::shared_ptr< linphone::ConferenceParams > linphone::ConferenceParams::clone | ( |  | ) | const

Clone a ConferenceParams.

Returns
  An allocated ConferenceParams with the same parameters than params

## ◆ enableAudio()

LINPHONECXX_PUBLIC void linphone::ConferenceParams::enableAudio | ( | bool | enable | ) |

Enable audio capabilities.

Parameters

  enable | If true, audio will be enabled during conference

## ◆ enableChat()

LINPHONECXX_PUBLIC void linphone::ConferenceParams::enableChat | ( | bool | enable | ) |

Enable chat capabilities.

Parameters

  enable | If true, chat is enabled during conference

## ◆ enableLocalParticipant()

LINPHONECXX_PUBLIC void linphone::ConferenceParams::enableLocalParticipant | ( | bool | enable | ) |

Enable local participant to enter the conference.

The local participant is the one driving the local Core. It uses the local sound devices. The default value is true. Setting to false is mostly helpful when using liblinphone on a server application.

Parameters

  enable | true if local participant is automatically added to the conference, false otherwise

## ◆ enableOneParticipantConference()

LINPHONECXX_PUBLIC void linphone::ConferenceParams::enableOneParticipantConference | ( | bool | enable | ) |

Enable conference with one participant.

Parameters

  enable | true if conference can have only one participant, false otherwise

## ◆ enableVideo()

LINPHONECXX_PUBLIC void linphone::ConferenceParams::enableVideo | ( | bool | enable | ) |

Enable video capabilities.

Parameters

  enable | If true, video will be enabled during conference

## ◆ getAccount()

LINPHONECXX_PUBLIC std::shared_ptr< linphone::Account > linphone::ConferenceParams::getAccount | ( |  | ) | const

Returns the account for the conference.

Returns
  a pointer to the account or nullptr if it is not set.

## ◆ getConferenceFactoryAddress()

LINPHONECXX_PUBLIC std::shared_ptr< const linphone::Address > linphone::ConferenceParams::getConferenceFactoryAddress | ( |  | ) | const

Get the conference factory address of the conference that has been set.

Returns
  the factory address conference description.

## ◆ getDescription()

LINPHONECXX_PUBLIC std::string linphone::ConferenceParams::getDescription | ( |  | ) | const

Get conference description.

Returns
  the conference description.

## ◆ getEndTime()

LINPHONECXX_PUBLIC time_t linphone::ConferenceParams::getEndTime | ( |  | ) | const

Get the end time of the conference.

Returns
  end time of a conference as time_t type or 0 for open end of a conference. For UNIX based systems it is the number of seconds since 00:00hours of the 1st of January 1970

## ◆ getParticipantListType()

LINPHONECXX_PUBLIC linphone::Conference::ParticipantListType linphone::ConferenceParams::getParticipantListType | ( |  | ) | const

Get the participant list type.

Returns
  participant list type Conference::ParticipantListType.

## ◆ getProxyCfg()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::shared_ptr< linphone::ProxyConfig > linphone::ConferenceParams::getProxyCfg | ( |  | ) | const

Returns the proxy configuration for the conference.

Returns
  a pointer to the proxy configuration or nullptr if it is not set.

Deprecated
  11/01/2022 Use getAccount() instead.

## ◆ getSecurityLevel()

LINPHONECXX_PUBLIC linphone::Conference::SecurityLevel linphone::ConferenceParams::getSecurityLevel | ( |  | ) | const

Retrieve the desired security level of the conference.

Returns
  The desired security level of the conference.

## ◆ getStartTime()

LINPHONECXX_PUBLIC time_t linphone::ConferenceParams::getStartTime | ( |  | ) | const

Get the start time of the conference.

Returns
  start time of a conference as time_t type or 0 for immediate start of a conference. For UNIX based systems it is the number of seconds since 00:00hours of the 1st of January 1970

## ◆ getSubject()

LINPHONECXX_PUBLIC std::string linphone::ConferenceParams::getSubject | ( |  | ) | const

Get conference subject.

Returns
  the conference subject.

## ◆ isAudioEnabled()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED bool linphone::ConferenceParams::isAudioEnabled | ( |  | ) | const

Check whether audio capabilities are enabled.

Returns
  true if the conference supports audio capabilities, false otherwise

Deprecated
  16/12/2021 Use audioEnabled() instead.

## ◆ isChatEnabled()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED bool linphone::ConferenceParams::isChatEnabled | ( |  | ) | const

Check whether chat capabilities are enabled.

Returns
  true if the conference supports chat capabilities, false otherwise

Deprecated
  16/12/2021 Use chatEnabled() instead.

## ◆ isHidden()

LINPHONECXX_PUBLIC bool linphone::ConferenceParams::isHidden | ( |  | ) | const

Get the value of the hidden flag.

Returns
  whether the conference is hidden or not

## ◆ isLocalParticipantEnabled()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED bool linphone::ConferenceParams::isLocalParticipantEnabled | ( |  | ) | const

Returns whether local participant has to enter the conference.

Returns
  true if local participant is by default part of the conference, false otherwise

Deprecated
  16/12/2021 Use localParticipantEnabled() instead.

## ◆ isOneParticipantConferenceEnabled()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED bool linphone::ConferenceParams::isOneParticipantConferenceEnabled | ( |  | ) | const

Returns whether conference can have only one participant.

Returns
  true if the conference can have only one participant, false otherwise

Deprecated
  16/12/2021 Use oneParticipantConferenceEnabled() instead.

## ◆ isVideoEnabled()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED bool linphone::ConferenceParams::isVideoEnabled | ( |  | ) | const

Check whether video capabilities are enabled.

Returns
  true if the conference supports video capabilities, false otherwise

Deprecated
  16/12/2021 Use videoEnabled() instead.

## ◆ localParticipantEnabled()

LINPHONECXX_PUBLIC bool linphone::ConferenceParams::localParticipantEnabled | ( |  | ) | const

Returns whether local participant has to enter the conference.

Returns
  true if local participant is by default part of the conference, false otherwise

## ◆ oneParticipantConferenceEnabled()

LINPHONECXX_PUBLIC bool linphone::ConferenceParams::oneParticipantConferenceEnabled | ( |  | ) | const

Returns whether conference can have only one participant.

Returns
  true if the conference can have only one participant, false otherwise

## ◆ setAccount()

LINPHONECXX_PUBLIC void linphone::ConferenceParams::setAccount | ( | const std::shared_ptr< linphone::Account > & | account | ) |

Sets the account for the conference.

Parameters

  account | a pointer to the account.

Warning
  The account can only be changed upon creation of a conference when calling linphone_core_create_conference_with_params

## ◆ setConferenceFactoryAddress()

LINPHONECXX_PUBLIC void linphone::ConferenceParams::setConferenceFactoryAddress | ( | const std::shared_ptr< const linphone::Address > & | address | ) |

Set the conference factory address of the conference.

By default when creating a new conference, the factory address will come from the current proxy configuration. If nullptr then the conference will be local else it will be a remote conference.

Parameters

  address | the conference factory address.

## ◆ setDescription()

LINPHONECXX_PUBLIC void linphone::ConferenceParams::setDescription | ( | const std::string & | description | ) |

Set the description of the conference.

Parameters

  description | the conference description.

## ◆ setEndTime()

LINPHONECXX_PUBLIC void linphone::ConferenceParams::setEndTime | ( | time_t | end | ) |

Set the conference end time.

Parameters

  end | the conference end time as the number of seconds between the desired end time and the 1st of January 1970. In order to program an undefined end of a conference, then program the end time to 0

## ◆ setHidden()

LINPHONECXX_PUBLIC void linphone::ConferenceParams::setHidden | ( | bool | hidden | ) |

Set the conference as hidden.

This means that the contact address will not have any conference releated attribute such as isfocus, the conference ID and the admin status.

Parameters

  hidden | Boolean that states whether the conference is hidden or not

## ◆ setParticipantListType()

LINPHONECXX_PUBLIC void linphone::ConferenceParams::setParticipantListType | ( | linphone::Conference::ParticipantListType | type | ) |

Set the participant list type.

Parameters

  type | Participant list type Conference::ParticipantListType. This allows to restrict the access to the conference to a selected set of participants

## ◆ setSecurityLevel()

LINPHONECXX_PUBLIC void linphone::ConferenceParams::setSecurityLevel | ( | linphone::Conference::SecurityLevel | securityLevel | ) |

Set the desired security level of the conference.

Parameters

  securityLevel | The desired security level of the conference.

## ◆ setStartTime()

LINPHONECXX_PUBLIC void linphone::ConferenceParams::setStartTime | ( | time_t | start | ) |

Set the conference start time.

Parameters

  start | the conference start time as the number of seconds between the desired start time and the 1st of January

## ◆ setSubject()

LINPHONECXX_PUBLIC void linphone::ConferenceParams::setSubject | ( | const std::string & | subject | ) |

Set the subject of the conference.

Parameters

  subject | the conference subject.

## ◆ videoEnabled()

LINPHONECXX_PUBLIC bool linphone::ConferenceParams::videoEnabled | ( |  | ) | const

Check whether video capabilities are enabled.

Returns
  true if the conference supports video capabilities, false otherwise

The documentation for this class was generated from the following file:

- conference_params.hh